<ng-container *ngIf="access else loading_screen">
  <section class="content-header">
    <h1 class="page-head-line">ROOMS</h1>
  </section>
  <section class="content">
    <div class="container">
      <div class="row justify-content-center">

        <div class="col-md-8">

          <div class="row">
            <div class="col-md-6 col-sm-8 mb-4">
              <input type='text' name="search" [(ngModel)]="search" (keyup)='updateFilter()' class="form-control form-control-sm mb-0"
                placeholder='Seach here' />
            </div>

          </div>

          <ngx-datatable class="material" [rows]="rooms" [loadingIndicator]="loading" [columnMode]="'force'" [headerHeight]="45" [footerHeight]="40"
            [rowHeight]="'auto'" [limit]="10">

            <ngx-datatable-column prop="room_code" name="Room code" [headerClass]="'text-center'" [cellClass]="'text-center'"></ngx-datatable-column>
            <ngx-datatable-column prop="room_name" name="Name"></ngx-datatable-column>

            <ngx-datatable-column name="Action" [headerClass]="'text-center'" [cellClass]="'text-center'">
              <ng-template let-row="row" ngx-datatable-cell-template>
                <button *ngIf="access && access.can_edit" type="button" class="btn btn-link mr-2" (click)="edit(row)">
                  <span title="Edit this room" class="fa fa-edit"></span>
                </button>
                <button *ngIf="access && access.can_delete" type="button" class="ml-auto btn btn-link btn-sm text-white mr-2" placement="top"
                  [ngbPopover]="popDeleteContent" [popoverTitle]="popDeleteTitle" container="body" #deletePop="ngbPopover">
                  <span class="fa fa-trash text-red"></span>
                </button>

                <ng-template #popDeleteTitle>
                  <small>
                    <b>
                      Confirm delete
                    </b>
                  </small>
                </ng-template>

                <ng-template #popDeleteContent>

                  <p>Are you sure you want to delete this room?</p>
                  <p class="small">
                    <strong>Name:</strong> {{ row.room_name }}
                  </p>

                  <div class="d-flex my-2">
                    <div class="ml-auto">

                      <button type="button" class="btn btn-link px-2" (click)="delete(row.id)" data-toggle="tooltip" data-placement="bottom" title="Yes">
                        <span class="fa fa-check text-green"></span>
                      </button>
                      <button type="button" class="btn btn-link px-2" data-toggle="tooltip" data-placement="bottom" title="No">
                        <span class="fa fa-times text-red"></span>
                      </button>
                    </div>

                  </div>
                </ng-template>
              </ng-template>
            </ngx-datatable-column>
          </ngx-datatable>
        </div>

        <div class="col-md-3">
          <div class="card rounded-0">
            <div class="card-header rounded-0 p-2 bk-clr-three">
              <p class="font-weight-bold text-white m-0">Room info</p>
            </div>
            <div class="card-body">

              <form *ngIf="obj" #objForm=ngForm (ngSubmit)="save()" class="mb-0">
                <div class="form-group">

                  <input type="text" [(ngModel)]="obj.room_code" name="room_code" class="form-control form-control-sm" placeholder="Room code"
                    required>
                </div>
                <div class="form-group">
                  <input type="text" [(ngModel)]="obj.room_name" name="room_name" class="form-control form-control-sm" placeholder="Room name"
                    required>
                </div>
                <div class="form-group float-right mt-2 mb-1">
                  <button type="submit" [disabled]="!objForm.valid" class="btn btn-primary btn-flat btn-sm">
                    <span class="fa fa-save"></span>
                    Save
                  </button>
                  <button type="button" (click)="cancel()" class="btn btn-danger btn-flat btn-sm">
                    <span class="fa fa-times"></span>
                    Cancel
                  </button>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>


  </section>
</ng-container>

<ng-template #loading_screen>
  <app-loading></app-loading>
</ng-template>